## EBookBackendSummary

EBookBackendSummary — A utility for storing contact data and searching for contacts

## Functions

EBookBackendSummary * | e_book_backend_summary_new ()
gboolean | e_book_backend_summary_load ()
gboolean | e_book_backend_summary_save ()
void | e_book_backend_summary_add_contact ()
void | e_book_backend_summary_remove_contact ()
gboolean | e_book_backend_summary_check_contact ()
void | e_book_backend_summary_touch ()
gboolean | e_book_backend_summary_is_up_to_date ()
gboolean | e_book_backend_summary_is_summary_query ()
GPtrArray * | e_book_backend_summary_search ()
gchar * | e_book_backend_summary_get_summary_vcard ()

## Types and Values

struct | EBookBackendSummary
struct | EBookBackendSummaryClass

## Object Hierarchy

        GObject
        ╰── EBookBackendSummary

## Includes

    #include <libedata-book/libedata-book.h>

## Description

The EBookBackendSummary is deprecated, use EBookSqlite instead.

## Functions

### e_book_backend_summary_new ()

    EBookBackendSummary *
    e_book_backend_summary_new (const gchar *summary_path,
                                gint flush_timeout_millis);

`e_book_backend_summary_new` has been deprecated since version 3.12 and should not be used in newly-written code.

Use EBookSqlite instead

Creates an EBookBackendSummary object without loading it or otherwise affecting the file. `flush_timeout_millis` specifies how much time should elapse, at a minimum, from the summary is changed until it is flushed to disk.

#### Parameters

summary_path | a local file system path |
flush_timeout_millis | a flush interval, in milliseconds |

#### Returns

A new EBookBackendSummary.

### e_book_backend_summary_load ()

    gboolean
    e_book_backend_summary_load (EBookBackendSummary *summary);

`e_book_backend_summary_load` has been deprecated since version 3.12 and should not be used in newly-written code.

Use EBookSqlite instead

Attempts to load `summary` from disk. The load is successful if the file was located, it was in the correct format, and it was not out of date.

#### Parameters

summary | an EBookBackendSummary |

#### Returns

`TRUE` if the load succeeded, `FALSE` if it failed.

### e_book_backend_summary_save ()

    gboolean
    e_book_backend_summary_save (EBookBackendSummary *summary);

`e_book_backend_summary_save` has been deprecated since version 3.12 and should not be used in newly-written code.

Use EBookSqlite instead

Attempts to save `summary` to disk.

#### Parameters

summary | an EBookBackendSummary |

#### Returns

`TRUE` if the save succeeded, `FALSE` otherwise.

### e_book_backend_summary_add_contact ()

    void
    e_book_backend_summary_add_contact (EBookBackendSummary *summary,
                                        EContact *contact);

`e_book_backend_summary_add_contact` has been deprecated since version 3.12 and should not be used in newly-written code.

Use EBookSqlite instead

Adds a summary of `contact` to `summary` . Does not check if the contact already has a summary.

#### Parameters

summary | an EBookBackendSummary |
contact | an EContact to add |

### e_book_backend_summary_remove_contact ()

    void
    e_book_backend_summary_remove_contact (EBookBackendSummary *summary,
                                           const gchar *id);

`e_book_backend_summary_remove_contact` has been deprecated since version 3.12 and should not be used in newly-written code.

Use EBookSqlite instead

Removes the summary of the contact identified by `id` from `summary` .

#### Parameters

summary | an EBookBackendSummary |
id | a unique contact ID string |

### e_book_backend_summary_check_contact ()

    gboolean
    e_book_backend_summary_check_contact (EBookBackendSummary *summary,
                                          const gchar *id);

`e_book_backend_summary_check_contact` has been deprecated since version 3.12 and should not be used in newly-written code.

Use EBookSqlite instead

Checks if a summary of the contact identified by `id` exists in `summary` .

#### Parameters

summary | an EBookBackendSummary |
id | a unique contact ID string |

#### Returns

`TRUE` if the summary exists, `FALSE` otherwise.

### e_book_backend_summary_touch ()

    void
    e_book_backend_summary_touch (EBookBackendSummary *summary);

`e_book_backend_summary_touch` has been deprecated since version 3.12 and should not be used in newly-written code.

Use EBookSqlite instead

Indicates that `summary` has changed and should be flushed to disk.

#### Parameters

summary | an EBookBackendSummary |

### e_book_backend_summary_is_up_to_date ()

    gboolean
    e_book_backend_summary_is_up_to_date (EBookBackendSummary *summary,
                                          time_t t);

`e_book_backend_summary_is_up_to_date` has been deprecated since version 3.12 and should not be used in newly-written code.

Use EBookSqlite instead

Checks if `summary` is more recent than `t` .

#### Parameters

summary | an EBookBackendSummary |
t | the time to compare with |

#### Returns

`TRUE` if the summary is up to date, `FALSE` otherwise.

### e_book_backend_summary_is_summary_query ()

    gboolean
    e_book_backend_summary_is_summary_query
                                   (EBookBackendSummary *summary,
                                    const gchar *query);

`e_book_backend_summary_is_summary_query` has been deprecated since version 3.12 and should not be used in newly-written code.

Use EBookSqlite instead

Checks if `query` can be satisfied by searching only the fields stored by `summary` .

#### Parameters

summary | an EBookBackendSummary |
query | an s-expression to check |

#### Returns

`TRUE` if the query can be satisfied, `FALSE` otherwise.

### e_book_backend_summary_search ()

    GPtrArray *
    e_book_backend_summary_search (EBookBackendSummary *summary,
                                   const gchar *query);

`e_book_backend_summary_search` has been deprecated since version 3.12 and should not be used in newly-written code.

Use EBookSqlite instead

Searches `summary` for contacts matching `query` .

#### Parameters

summary | an EBookBackendSummary |
query | an s-expression |

#### Returns

A GPtrArray of pointers to contact ID strings.

[element-type utf8][transfer container]

### e_book_backend_summary_get_summary_vcard ()

    gchar *
    e_book_backend_summary_get_summary_vcard
                                   (EBookBackendSummary *summary,
                                    const gchar *id);

`e_book_backend_summary_get_summary_vcard` has been deprecated since version 3.12 and should not be used in newly-written code.

Use EBookSqlite instead

Constructs and returns a VCard from the contact summary specified by `id` .

#### Parameters

summary | an EBookBackendSummary |
id | a unique contact ID |

#### Returns

A new VCard, or `NULL` if the contact summary didn't exist.

[nullable]

## Types and Values

### struct EBookBackendSummary

    struct EBookBackendSummary;

`EBookBackendSummary` has been deprecated since version 3.12 and should not be used in newly-written code.

Use EBookSqlite instead

Contains only private data that should be read and manipulated using the functions below.

### struct EBookBackendSummaryClass

    struct EBookBackendSummaryClass {
    };

`EBookBackendSummaryClass` has been deprecated since version 3.12 and should not be used in newly-written code.

Use EBookSqlite instead

Class structure for the deprecated API for accessing the addressbook